<substruct name="SpellEffects">
	<version number="1">
		<u32 name="spell_id">
		<u32 name="expire_timestamp">
		<u16 name="icon">
		<u16 name="icon_type">
		<u8 name="cancellable">
	</version>
	<version number="546">
		<u32 name="spell_id">
		<u8 name="cancellable">
		<f32 name="total_time">
		<u32 name="expire_timestamp">
		<u8 name="unknown2">
		<u16 name="icon">
		<u16 name="icon_type">
		<u8 name="unknown3">
	</version>
	<version number="843">
		<u32 name="spell_id">
		<f32 name="total_time">
		<u32 name="expire_timestamp">
		<u16 name="icon">
		<u16 name="icon_type">
		<u8 name="unknown2">
		<u8 name="cancellable">
	</version>
	<version number="1193">
		<u32 name="spell_id">
		<f32 name="total_time">
		<u32 name="expire_timestamp">
		<u16 name="icon">
		<u16 name="icon_type">
		<u8 name="unknown2">
		<u8 name="cancellable">
		<u8 name="CoEunknown" size="21">
	</version>
</substruct>